package com.ssj.service.weixin.problem.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.weixin.problem.domain.Artice;
import com.ssj.framework.core.common.service.BaseService;


public interface ArticeService extends BaseService<Artice, String>{
	Page<Map<String, Object>> findArticePage(Map<String, Object> searchParams, Pageable pageable);
	
	public Integer countType();
	
	 public void updatenum(String id, Integer number);

	Artice findInfoByName(String string);

	List<Artice> findArticeList(String grade, int version);

}
